Skip to main content

Export portable task archive

POST
/tasks/{id}/export/bundle

Exports an encrypted .pa-task-export archive containing the task and portable dependencies.

Contract

Parameter
Value
Sectiontasks
AuthenticationCookieAuth
Consumesapplication/json
Producesapplication/octet-stream

Parameters

2 parameters

Name
Location
Required
Type
Description
idpathyesintegerTask ID
requestbodynoobjectOptions for including file payloads
  • {
      "includeFilePayloads": true,
      "includeMalwarePayloads": true
    }

Responses

5 responses

Status
Description
Type
200
.pa-task-export archivefile
400
Invalid requestobject
401
Unauthorizedobject
409
A task dependency is missing; the archive would be incompleteobject
500
Failed to generate archiveobject
  • {}
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }